ServerEvents.recipes(event => {
  event.remove({ output: 'thermal:rf_coil' })
  event.remove({ output: 'thermal:redstone_servo' })
  event.remove({ output: 'thermal:machine_frame' })

  event.shaped('thermal:rf_coil', [
    '  R',
    ' B ',
    'R  '
  ], {
    R: 'minecraft:redstone',
    B: 'create:brass_sheet'
  })

  event.shaped('thermal:redstone_servo', [
    ' R ',
    ' B ',
    ' R '
  ], {
    R: 'minecraft:redstone',
    B: 'create:brass_sheet'
  })

    event.recipes.create.mixing(
    'thermal:oil_sand',
    ['2x thermal:tar', '2x #forge:sand']
  )
  .superheated()
  .id('thermal:oil_sand')
  })